QB_HASHTABLE_CREATE(3)

NAME
qb_hashtable_create - Create an unsorted map based on a hashtable.

SYNOPSIS
#include <qb/qbmap.h>

qb_map_t * qb_hashtable_create(
    size_t  max_size   /* maximum size of the hashtable*/
);

PARAMS
max_size maximum size of the hashtable

DESCRIPTION

RETURN VALUE

the map instance

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_notify_del(3), qb_map_put(3), qb_map_count_get(3), qb_map_foreach(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_get(3), qb_map_destroy(3), qb_map_iter_free(3), qb_map_notify_add(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.